Deployments.ai Docs
Evaluations

Add one case from inline input or an existing run or trace

POST /v1/regression-datasets/{datasetId}/cases · SDK addDatasetCase · CLI deployments eval case add

POST
/v1/regression-datasets/{datasetId}/cases

Requires observability:write.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

datasetId*string

Regression dataset ID.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
x-deployments-project*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
idempotency-key*string
Length1 <= length <= 512

Request Body

application/json
  1. body
consentBasis?string
Length1 <= length <= 200
externalId?string
Length1 <= length <= 128
tags?array<>
Items0 <= items <= 20
expectations?
input?
source?|

Response Body

AddDatasetCaseResponse

application/json
  1. response
case*
created*boolean
curl -X POST "https://example.com/v1/regression-datasets/string/cases" \  -H "x-deployments-organization: string" \  -H "x-deployments-project: string" \  -H "x-deployments-environment: string" \  -H "idempotency-key: string" \  -H "Content-Type: application/json" \  -d '{}'
{  "case": {    "consentBasis": "string",    "contentSha256": "string",    "createdAt": "2019-08-24T14:15:22Z",    "datasetId": "string",    "expectationKinds": [      "string"    ],    "externalId": "string",    "id": "string",    "inputPreview": "string",    "provenance": "annotation",    "sourceRunId": "string",    "sourceThreadId": "string",    "sourceTraceId": "string",    "tags": [      "string"    ]  },  "created": true}